#!/bin/sh

BIN=neoinput
CLIENT_BIN=${BIN}_client
SERVER_BIN=${BIN}_server

PREFIX=/usr/local
BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share/${BIN}
CONFIGDIR=${PREFIX}/etc/${BIN}

uninstall_client()
{
	rm ${DESTDIR}${DATADIR}/*
	rm ${DESTDIR}${CONFIGDIR}/*
	rmdir ${DESTDIR}${DATADIR}
	rmdir ${DESTDIR}${CONFIGDIR}
	rm ${DESTDIR}${BINDIR}/${CLIENT_BIN}
}

uninstall_server()
{
	rm ${DESTDIR}${CONFIGDIR}/*
	rmdir ${DESTDIR}${CONFIGDIR}
	rm ${DESTDIR}${BINDIR}/${SERVER_BIN}
}

if [ -f ${DESTDIR}${BINDIR}/${CLIENT_BIN} ]
then
	uninstall_client
fi

if [ -f ${DESTDIR}${BINDIR}/${SERVER_BIN} ]
then
	uninstall_server
fi
